Множественные уязвимости в Ext4 в ядре Linux

Дата публикации:
15.12.2009
Дата изменения:
22.02.2010
Всего просмотров:
2845
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-4131
CVE-2009-4308
CVE-2009-4307
Вектор эксплуатации:
Локальная
Воздействие:
Отказ в обслуживании
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Linux Kernel 2.6.x
Уязвимые версии: Linux kernel 2.6.x

Описание:
Обнаруженные уязвимости позволяют локальному пользователю вызвать отказ в обслуживании и повысить свои привилегии на системе.

1. Уязвимость существует из-за недостаточной проверки прав доступа при обработке EXT4_IOC_MOVE_EXT IOCTL запросов. Локальный пользователь может с помощью специально сформированного IOCTL запроса перезаписать файлы с привилегиями учетной записи root.

2. Уязвимость существует из-за ошибки в функции ext4_fill_flex_info() в файле fs/ext4/super.c. Локальный пользователь может с помощью специально сформированной файловой системы вызвать деление на ноль.

3. Уязвимость существует из-за ошибки в функции ext4_decode_error() в файле fs/ext4/super.c. Локальный пользователь может с помощью специально сформированной файловой системы вызвать разыменование нулевого указателя и повысить свои привилегии на системе.

URL производителя: www.kernel.org

Решение: Установите последнюю версию 2.6.31.8 или 2.6.32.1 с сайта производителя.

Журнал изменений:

22.02.2010
Изменена секция «Решение».

Ссылки: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=4a58579b9e4e2a35d57e6c9c8483e52f6f1b7fd6
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=503358ae01b70ce6909d19dd01287093f6b6271c
http://bugzilla.kernel.org/show_bug.cgi?id=14287
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=78f1ddbb498283c2445c11b0dfa666424c301803

или введите имя

CAPTCHA